bigtop-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Marc Spaggiari <jean-m...@spaggiari.org>
Subject Re: Sqoop 1.4.5 in 0.8.0?
Date Thu, 02 Oct 2014 18:17:25 GMT
I see.

I tried to pick the sqoop scripts from 0.5.0 but it fails in other places.
I might continue to try because client app use sqoop 1.4.5 scripts and
don't want to rewrite them..

Thanks,

JM

2014-10-02 14:14 GMT-04:00 Andrew Purtell <apurtell@apache.org>:

> Yes this is expected. See BIGTOP-805 where the build was changed to
> support only Sqoop 2.
>
> On Thu, Oct 2, 2014 at 6:33 AM, Jean-Marc Spaggiari <
> jean-marc@spaggiari.org> wrote:
>
>> Hi,
>>
>> I tried to compile Sqoop 1.4.5 with BigTop 0.8.0 and failed:
>>
>> + STATUS=0
>>
>> + '[' 0 -ne 0 ']'
>>
>> + cd sqoop-1.4.5
>>
>> + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
>>
>> + exit 0
>>
>> Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.Xy4CyE
>>
>> + umask 022
>>
>> + cd /usr/src/bigtop/build/sqoop//rpm//BUILD
>>
>> + cd sqoop-1.4.5
>>
>> + LANG=C
>>
>> + export LANG
>>
>> + unset DISPLAY
>>
>> + rm -rf bigtop-empty
>>
>> + mkdir -p bigtop-empty
>>
>> + env FULL_VERSION=1.4.5 bash
>> /usr/src/bigtop/build/sqoop/rpm/SOURCES/do-component-build
>> -Drat.basedir=/usr/src/bigtop/build/sqoop/rpm/BUILD/sqoop-1.4.5/bigtop-empty
>>
>> ++ dirname /usr/src/bigtop/build/sqoop/rpm/SOURCES/do-component-build
>>
>> + . /usr/src/bigtop/build/sqoop/rpm/SOURCES/bigtop.bom
>>
>> ++ JDK_VERSION=1.7
>>
>> ++ HADOOP_VERSION=2.4.1
>>
>> ++ ZOOKEEPER_VERSION=3.4.5
>>
>> ++ HBASE_VERSION=0.98.5
>>
>> ++ PIG_VERSION=0.12.1
>>
>> ++ HIVE_VERSION=0.13.0
>>
>> ++ SQOOP_VERSION=1.4.5
>>
>> ++ OOZIE_VERSION=4.0.1
>>
>> ++ WHIRR_VERSION=0.8.2
>>
>> ++ MAHOUT_VERSION=0.9
>>
>> ++ FLUME_VERSION=1.5.0.1
>>
>> ++ GIRAPH_VERSION=1.1.0
>>
>> ++ HUE_VERSION=3.6.0
>>
>> ++ DATAFU_VERSION=1.0.0
>>
>> ++ SOLR_VERSION=4.9.0
>>
>> ++ CRUNCH_VERSION=0.10.0
>>
>> ++ SPARK_VERSION=0.9.1
>>
>> ++ PHOENIX_VERSION=4.1.0
>>
>> ++ BIGTOP_GROOVY_VERSION=2.2.1
>>
>> ++ BIGTOP_UTILS_VERSION=0.8.0
>>
>> ++ BIGTOP_JSVC_VERSION=1.0.15
>>
>> ++ BIGTOP_TOMCAT_VERSION=6.0.36
>>
>> + export 'MAVEN_OPTS=-Xmx512m -XX:MaxPermSize=512m'
>>
>> + MAVEN_OPTS='-Xmx512m -XX:MaxPermSize=512m'
>>
>> + mvn -DskipTests=true -Dhadoop.profile=200 -Dhadoop.2.version=2.4.1
>> install package -P=binary
>> -Drat.basedir=/usr/src/bigtop/build/sqoop/rpm/BUILD/sqoop-1.4.5/bigtop-empty
>>
>> [INFO] Scanning for projects...
>>
>> [INFO]
>> ------------------------------------------------------------------------
>>
>> [INFO] BUILD FAILURE
>>
>> [INFO]
>> ------------------------------------------------------------------------
>>
>> [INFO] Total time: 0.191s
>>
>> [INFO] Finished at: Thu Oct 02 13:02:43 UTC 2014
>>
>> [INFO] Final Memory: 6M/52M
>>
>> [INFO]
>> ------------------------------------------------------------------------
>>
>> [WARNING] The requested profile "binary" could not be activated because
>> it does not exist.
>>
>> [ERROR] The goal you specified requires a project to execute but there is
>> no POM in this directory
>> (/usr/src/bigtop/build/sqoop/rpm/BUILD/sqoop-1.4.5). Please verify you
>> invoked Maven from the correct directory. -> [Help 1]
>>
>> [ERROR]
>>
>> [ERROR] To see the full stack trace of the errors, re-run Maven with the
>> -e switch.
>> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
>>
>> Has someone already tried that. Seems that Sqoop 1.99 and 1.4.5 don't
>> have the same build commands. Any idea?
>>
>> Thanks,
>>
>> JM
>>
>
>
>
> --
> Best regards,
>
>    - Andy
>
> Problems worthy of attack prove their worth by hitting back. - Piet Hein
> (via Tom White)
>

Mime
View raw message